package com.zksy.infrared.service;

import com.zksy.infrared.domain.InfraredReadingMeter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.infrared.domain.vo.MeterDayDataVo;
import com.zksy.infrared.domain.vo.MeterMonthDataVo;
import com.zksy.infrared.domain.vo.MeterQuarterDataVo;
import com.zksy.infrared.domain.vo.MeterYearDataVo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【infrared_reading_meter(红外读电表数据)】的数据库操作Service
* @createDate 2025-06-06 10:27:47
*/
public interface InfraredReadingMeterService extends IService<InfraredReadingMeter> {

    MeterYearDataVo selectByYear(Integer year,String meterNumber);

    MeterMonthDataVo selectByYearselectByYearAndMonthWithDayData(Integer year, Integer month, String meterNumber);

    MeterDayDataVo selectByNewestData(String meterNumber);

    MeterYearDataVo selectByCurrentYearData();

    MeterMonthDataVo selectByCurrentYearselectByCurrentYearAndCurrentMonthWithDayData();

    MeterQuarterDataVo selectByCurrentQuarterData();
}
